﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace ContextualGroupsExample.MyContextRibbonUIWebPart
{
    [ToolboxItemAttribute(false)]
    public class MyContextRibbonUIWebPart : WebPart, IWebPartPageComponentProvider
    {
        // Visual Studio might automatically update this path when you change the Visual Web Part project item.
        private const string _ascxPath = @"~/_CONTROLTEMPLATES/ContextualGroupsExample/MyContextRibbonUIWebPart/MyContextRibbonUIWebPartUserControl.ascx";

        protected override void CreateChildControls()
        {
            Control control = Page.LoadControl(_ascxPath);
            Controls.Add(control);
        }

        public WebPartContextualInfo WebPartContextualInfo
        {
            get
            {
                string ribbonDesignerUniquePrefix = 
                    typeof(Features.MyContextRibbonUI.MyContextRibbonUI).FullName.Replace(".", String.Empty);
                WebPartContextualInfo info = new WebPartContextualInfo();
                WebPartRibbonContextualGroup contextualGroup = new WebPartRibbonContextualGroup();
                WebPartRibbonTab ribbonTab = new WebPartRibbonTab();
                contextualGroup.Id = "Ribbon." + ribbonDesignerUniquePrefix + "_" + "adxspRibbonContextualGroup3";
                contextualGroup.Command = "Ribbon." + ribbonDesignerUniquePrefix + "_" + "adxspRibbonContextualGroup3Command";
                ribbonTab.Id = "Ribbon." + ribbonDesignerUniquePrefix + "_" + "adxspRibbonTab4";
                info.ContextualGroups.Add(contextualGroup);
                info.Tabs.Add(ribbonTab);
                info.PageComponentId = SPRibbon.GetWebPartPageComponentId(this);
                return info;
            }
        }

        protected override void OnPreRender(EventArgs e)
        {
            AddinExpress.SharePoint.ADXSPRibbon.ShowContextualGroup(this.Page, typeof(Features.MyContextRibbonUI.MyContextRibbonUI), "adxspRibbonContextualGroup2");
            base.OnPreRender(e);
        }
    }
}
